.header-container {
  height: 52px;
  min-height: 52px;
  background: #394085;
  padding-left: 19px;
  padding-right: 15px;
}

.header-container .title-label {
  font-size: 16px;
  line-height: 20px;
  font-weight: bold;
}

.header-container .ic-trash {
  font-size: 18px;
  cursor: pointer;
}

.header-container .ic-close {
  font-size: 22px;
  margin-left: 20px;
  height: unset;
  width: unset;
  cursor: pointer;
}

.add-edit-schedule-form {
  padding: 30px 20px 0 20px;
  color: #1c1b1b;
}

.add-edit-schedule-form .mat-form-field-appearance-outline .mat-form-field-outline {
  color: #1c1b1b;
}

.ptt-select-form-field .mat-form-field-infix {
  max-height: 54px;
}

.ptt-select-form-field.mat-form-field-disabled .mat-form-field-outline {
  color: #979797;
}

.break-form-field .mat-form-field-infix {
  margin: 0;
}

.break-form-field .add-new-dropdown {
  top: 0;
}

.break-form-field kendo-dropdownlist {
  margin: 0;
}

.break-form-field app-add-new-dropdown .k-dropdown .k-dropdown-wrap {
  border: none;
  box-shadow: none;
}

.break-form-field app-add-new-dropdown .k-dropdown .k-dropdown-wrap .k-input {
  font-size: 16px;
  color: #1c1b1b;
  font-family: 'HelveticaNeueRegular';
  padding: 0;
}

.timepicker-mat-form-field .mat-form-field-infix {
  margin-right: 6px !important;
}

.start-time-wrapper .mat-form-field-wrapper,
.end-time-wrapper .mat-form-field-wrapper {
  padding-bottom: 0 !important;
}

.start-end-time-picker-wrapper {
  padding-bottom: 1.34375em !important;
}

.start-time-wrapper,
.end-time-wrapper {
  width: 153px;
  min-width: 153px;
}

.end-time-wrapper .mat-form-field-invalid {
  margin-bottom: 0 !important;
}

.end-time-wrapper {
  margin-left: 15px;
}

.recurrence-pattern-label {
  margin-top: 7px;
}

.ngx-rrule-wrapper {
  margin-top: 20px;
}

.book-online-switch .k-switch-label-on,
.book-online-switch .k-switch-label-off {
  /*text-shadow: 0 1px 0 #FFFFFF;*/
}

/* Toggle switch Start */

.book-online-switch.k-switch-on .k-switch-label-on {
  /*text-shadow: 0 1px #394085;*/
}

.book-online-switchv.k-switch-off .k-switch-label-off {
  /*text-shadow: 0 1px #ffffff;*/
}

.book-online-switch.k-switch-off .k-switch-handle,
.book-online-switch.k-switch-off:hover .k-switch-handle {
  background-color: #A18BD6 !important;
  box-shadow: 0 2px #394085 !important;
}

.book-online-switch.k-switch-on .k-switch-handle,
.book-online-switch.k-switch-on:hover .k-switch-handle {
  background-color: #ffffff;
  box-shadow: 0 2px #cfd2d6;
}

.book-online-switch.k-switch {
  width: 80px !important;
  min-width: 80px !important;
  height: 35px !important;
  box-shadow: none;
}

.book-online-switch .k-switch-label-off,
.book-online-switch .k-switch-label-on {
  text-align: center !important;
  text-transform: capitalize !important;
  width: 36px !important;
}

.book-online-switch.k-switch-on .k-switch-container .k-switch-label-off {
  display: none;
}

.book-online-switch.k-switch-off .k-switch-container .k-switch-label-on {
  display: none;
}

.book-online-switch.k-switch-on .k-switch-container,
.book-online-switch.k-switch-on:hover .k-switch-container,
.book-online-switch.k-switch-on.k-state-hover .k-switch-container {
  background-color: #A18BD6 !important;
  box-shadow: none !important;
  border: 1px solid #A18BD6;
}

.book-online-switch.k-switch-off .k-switch-container,
.book-online-switch.k-switch-off:hover .k-switch-container,
.book-online-switch.k-switch-off.k-state-hover .k-switch-container {
  background-color: #F3F2F4 !important;
  box-shadow: none !important;
}

.book-online-switch .k-switch-label-off {
  color: #394085;
}


/* Toggle switch End */

.book-online-wrapper-no-recure {
  padding-top: 5px !important;
}

.book-online-wrapper {
  padding-top: 27px;
  padding-bottom: 22px;
}

.break-note-form-field .mat-form-field-label {
  margin-top: -3px;
}

.break-note-textarea {
  height: 91px;
}

.footer-container {
  height: 91px;
  min-height: 91px;
}

.save-btn, .cancel-btn {
  min-height: 52px;
  font-size: 14px !important;
}

.cancel-btn {
  width: 92px;
}

.save-btn {
  width: 90px;
  margin-left: 10px;
}

/* CUSTOMIZE RRULE COMPONENT */
.ngx-repeat-select-form-field.mat-form-field-appearance-outline:not(.mat-form-field-disabled) .mat-form-field-flex:hover .mat-form-field-outline-thick {
  color: #999999 !important;
}

.ngx-repeat-select-form-field.opened.mat-form-field-appearance-outline.mat-focused .mat-form-field-flex {
  box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.25) !important;
}

.ngx-repeat-select-form-field.mat-form-field-appearance-outline.mat-focused .mat-form-field-outline-thick {
  color: #999999 !important;
}

.ngx-repeat-select-form-field.opened.mat-form-field-appearance-outline.mat-focused .mat-select-arrow {
  transform: rotate(180deg);
}

.ngx-repeat-select-form-field.opened.mat-form-field-appearance-outline.mat-focused .mat-form-field-outline-thick .mat-form-field-outline-start {
  border-bottom-left-radius: 0;
}

.ngx-repeat-select-form-field.opened.mat-form-field-appearance-outline.mat-focused .mat-form-field-outline-thick .mat-form-field-outline-end {
  border-bottom-right-radius: 0;
}

.ngx-repeat-select-form-field.mat-form-field-appearance-outline .mat-form-field-outline-thick .mat-form-field-outline-end,
.ngx-repeat-select-form-field.mat-form-field-appearance-outline .mat-form-field-outline-thick .mat-form-field-outline-gap,
.ngx-repeat-select-form-field.mat-form-field-appearance-outline .mat-form-field-outline-thick .mat-form-field-outline-start {
  border-width: 1px;
}

.ngx-repeat-select-panel.mat-select-panel {
  min-width: calc(100% + 31px) !important;
  top: 37px !important;
  left: 5px;
  box-shadow: 0 6px 6px 0 rgba(0, 0, 0, 0.25) !important;
  border-radius: 0 0 4px 4px;
  border: 1px solid #999999;
  border-top: 0;
}

.ngx-repeat-select-panel .mat-option {
  font-size: 16px;
  letter-spacing: 0.15px;
  color: #1c1b1b !important;
  border-top: 1px solid #999999;
}

.ngx-repeat-select-panel .mat-selected,
.ngx-repeat-select-panel .mat-active {
  background: transparent !important;
}

.dialog-title {
  font-family: Quicksand, sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 18px;
  line-height: 22px;
  color: #191E57;
}

.btnheight {
  height: 52px;
}

.dialog-btn {
  min-width: 90px !important;
}

/* DATE AVAILABILITY DIALOG */
/*.date-availability-dialog .k-content {*/
/*  padding: 0;*/
/*}*/

.da-dialog-cancel-btn {
  height: 52px;
  min-height: 52px;
  width: 134px;
}

.da-dialog-save-btn {
  height: 52px;
  min-height: 52px;
  width: 145px;
}

.da-table-wrapper {
  border: 1px solid #dadada;
}

.date-dv-checkbox.mat-checkbox-disabled .mat-checkbox-inner-container .mat-checkbox-frame {
  background: #d8d8d8;
  border-color: #d8d8d8;
}

.date-dv-checkbox .mat-checkbox-layout {
  max-width: 24px;
}

.da-a-na-status {
  width: 90px;
  height: 38px;
  border-radius: 3px;
  border: none;
}

.da-a-na-status.available {
  background: #43A047;
}

.da-a-na-status.unavailable {
  background: #FF0000;
}

.da-list-header {
  height: 41px;
  position: fixed;
}

.da-list-container .da-list-cell {
  border: 1px solid #d8d8d8;
  border-top: none;
  border-left: none;
}

.da-list-container .da-list-cell:first-child {
  border-left: 0;
}

.da-list-container .da-list-cell:last-child {
  border-right: 0;
}

.da-list-body .da-list-row {
  height: 62px;
}

.da-list-body {
  margin-top: 41px;
}

.required-hint {
  font-size: 13px;
  color: #a6a6a6;
}
